# Paste Docker

Paste is a simple self-hosted pastebin service that you can run on your own server.

## Prerequisites

- Docker (Don't have docker? follow this [link](https://docs.fascinated.cc/books/docker/page/install-docker-on-ubuntu-2204))

## Installation

- Clone this repository

```bash
git clone https://git.fascinated.cc/Paste/Docker
```

- Change directory

```bash
cd Docker
```

- Download the latest `application.yml`

```bash
wget https://git.fascinated.cc/Paste/Backend/raw/branch/master/src/main/resources/application.yml
```

- Update the `application.yml` with your configuration

- Start Paste

```bash
docker compose up -d
```

- Access Paste at http://serverip:3000